---
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: {{ .Release.Name }}
spec:
  endpointSelector:
    matchLabels:
      io.cilium.k8s.policy.serviceaccount: {{ .Release.Name }}
  ingress:
    - fromEndpoints:
        - matchLabels:
            io.cilium.k8s.policy.serviceaccount: rke2-ingress-nginx
            io.kubernetes.pod.namespace: kube-system
      toPorts:
        - ports:
            - port: '3000'
              protocol: TCP
            - port: '8080'
              protocol: TCP
    - fromEntities:
        - host
        - kube-apiserver
      toPorts:
        - ports:
            - port: '8080'
              protocol: TCP
  egress:
    - toEndpoints:
        - matchLabels:
            io.cilium.k8s.policy.serviceaccount: coredns
            io.kubernetes.pod.namespace: kube-system
      toPorts:
        - ports:
            - port: '53'
              protocol: ANY
          rules:
            dns:
              - matchPattern: '*'
    - toEntities:
        - kube-apiserver
        - host
      toPorts:
        - ports:
            - port: '6443'
              protocol: TCP
    - toEndpoints:
        - matchLabels:
            io.cilium.k8s.policy.serviceaccount: rke2-ingress-nginx
            io.kubernetes.pod.namespace: kube-system
      toPorts:
        - ports:
            - port: '443'
              protocol: TCP
    - toEntities:
        - world
      toPorts:
        - ports:
            - port: '443'
              protocol: TCP
